<template>
    <div>
        <div class="login-partner section">
            <div class="container">
                <form class="form-block login-partner-form">
                    <div class="form-block__header">
                        <a
                            @click="$router.push('/login')"
                            class="form-block__button-back">
                        </a> {{ $t('entrance_with_partner.title') }} {{ partner }}
                    </div>
                    <div class="form-block__content bg-white">
                        <input
                            type="text"
                            name="EMAIL"
                            class="input white"
                            required
                            :placeholder="holder.email"
                            @focus="holder.email = ''"
                            @blur="holder.email = 'E-mail'"
                        >
                        <input
                            type="password"
                            name="PASSWORD"
                            class="input white"
                            required
                            :placeholder="holder.password"
                            @focus="holder.password = ''"
                            @blur="holder.password = $t('entrance_with_partner.password')"
                        >
                        <base-checkbox
                            name="login-and-password-to-service-ip-chain"
                            :main="false"
                        >
                            {{ $t('entrance_with_partner.i_agree') }}
                        </base-checkbox>
                        <base-checkbox
                            name="user-of-condition-with-service-ipex"
                            :main="false"
                        >
                            {{ $t('entrance_with_partner.agreement.i_accept') }}
                            <a @click="$router.push('/agreement/ipex')">
                                {{ $t('entrance_with_partner.agreement.user_agreement') }}
                            </a>
                            {{ $t('entrance_with_partner.agreement.with_IPEX') }}
                        </base-checkbox>
                        <base-checkbox
                            name="user-of-condition-with-service-ip-chain"
                            :main="false"
                        >
                            {{ $t('entrance_with_partner.agreement.i_accept') }}
                            <a @click="$router.push('/agreement/ipchain')">
                                {{ $t('entrance_with_partner.agreement.user_agreement') }}
                            </a>
                            {{ $t('entrance_with_partner.agreement.with_IPCHAIN') }}
                        </base-checkbox>
                        <input
                            type="submit"
                            :value="$t('button.login')"
                            class="btn btn-info"
                        >
                    </div>
                </form>
            </div>
        </div>
    </div>
</template>

<script>
import BaseCheckbox from '../../components/base/BaseCheckbox';
export default {
    name: 'app-partner',
    components: {
        BaseCheckbox
    },
    data() {
        return {
            partners: ['N\'RIS', 'SP', 'zaycev.net', 'fonmix', 'ipchain'],
            holder: {
                email: 'E-mail',
                password: 'Пароль'
            }
        };
    },
    computed: {
        partner() {
            switch (this.$route.name) {
            case 'partner/nris':
                return this.partners[0];
            case 'partner/sp':
                return this.partners[1];
            case 'partner/zaycev':
                return this.partners[2];
            case 'partner/fonmix':
                return this.partners[3];
            case 'partner/ipchain':
                return this.partners[4];
            default:
                return '';
            }
        }
    }
};
</script>
